Page MenuHomePhabricator

Flow floods watchlist
Open, HighPublic

Description

For the following assume you're using the un-expanded watchlist without grouping enabled (therefore the default preferences a new user will see):

The current behavior of Flow is to create an entry in ones watchlist for each and every action. That means every comment (even if it's on the same topic) creates a new entry. Therefore the watchlist is quickly flooded by dozens of Flow comments making it very unclear and nearly impossible to quickly find other pages that have changed in the same period of time.

Flow should therefore (as is the default for normal Wiki pages) only list the newest edit to each watched board. The current behaviour can be kept but should only be enabled when choosing the expanded watchlist from user preferences.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=57860

Details

Reference
bz60723

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:03 AM
bzimport set Reference to bz60723.
bzimport added a subscriber: Unknown Object (MLST).
Patrick87 created this task.Feb 1 2014, 3:38 PM

The problem is that the primary element of Flow is a topic, not a board; topics will be able to be part of multiple pages. So switching to page-centrism will lead to not just flooding but _repetitive_ flooding.

Having said that, I agree that there's a lot of duplication even *within* topics. I think the best way forward is probably to report the most recent action for each topic, and actually be transparent about what topic that is, treating them almost like watched pages. Hopefully this'll be fixed soon :).

Created attachment 14475
Flow entris on Watchlist (without grouping)

On this screenshot, my preferences are:

  • Group changes by page in recent changes and watchlist
  • Expand watchlist to show all changes, not just the most recent

attachment flow-watchlist-ungrouped.png ignored as obsolete

Created attachment 14476
Flow entris on Watchlist (with grouping)

Now, my preferences are:

  • Group changes by page in recent changes and watchlist
  • Expand watchlist to show all changes, not just the most recent

attachment flow-watchlist.png ignored as obsolete

To prevent confusion:
This bug was about the case that the watchlist is *not* expanded. Therefore none of the two screenshot actually applies to the bug description!

(I'm not saying that Flow entries in the expanded Watchlist couldn't use some tuning, though, but this would probably a new bug)

He7d3r added a comment.Feb 4 2014, 1:22 PM

Created attachment 14478
Flow entries on watchlist: NO grouping, NO expanding

(In reply to comment #4)

To prevent confusion:
This bug was about the case that the watchlist is *not* expanded. Therefore
none of the two screenshot actually applies to the bug description!
(I'm not saying that Flow entries in the expanded Watchlist couldn't use some
tuning, though, but this would probably a new bug)

Sorry for that. Here is an updated screenshot.

Attached:

He7d3r added a comment.Feb 4 2014, 1:23 PM

Created attachment 14479
Flow entries on watchlist: with grouping but NO expanding

Attached:

Should be fixed by next sprint.

Change 113042 merged by jenkins-bot:
Flow watchlist data tweaks

https://gerrit.wikimedia.org/r/113042

Change 114051 had a related patch set uploaded by EBernhardson:
Flow watchlist data tweaks

https://gerrit.wikimedia.org/r/114051

Change 114051 merged by jenkins-bot:
Flow watchlist data tweaks

https://gerrit.wikimedia.org/r/114051

Note: The current solution, as suggested by a few editors, is to show slightly more than "only the newest edit". Ie. Watchlists with default settings will currently list the most recent of any:

  • new topics started
  • content change in a topic (the last post, or last edit to a post or topic-title)
  • moderation actions
  • edits to the header

The change is now live on all wikis.

The trello card is/was https://trello.com/c/U48qVtrO/61-8-bug-60723-watchlist-data-tweaks-fix-in-wmf14

Further tweaks and changes will probably be needed, as the rollout grows and busier locations are added - such as possibly merging together "newtopic/firstpost-on-that-topic" pairs? - but this current setup demonstrates some of the interesting and informative possibilities.

I've started a discussion at [[WT:Flow#Watchlist items]] for "next step" brainstorming.

I wasn't paying attention to this bug for some time, but I'm afraid the current situation is still far from being perfect:

  • The patches didn't seem to do much about the situation for the *un-expanded* and *un-grouped* watchlist (e.g. "default" settings)
  • The discussion mentioned by Quiddity in comment 11 never took place
  • In effect this bug is virtually unresolved

I'll attach a screenshot how this issue makes the watchlist basically unusable since it is flooded by dozens of duplicates of Flow-Threads, while the potentially interesting pages on the watchlist are only listed once and are likely to get lost in the shuffle.

P.S. You may reopen a new bug report if you think this is more appropriate but I neither have the time nor the motivation right now (especially since the initial bug report is still exactly what is bugging me right now)

un-expanded and un-gropued watchlist - abundant "duplicates" highlighted, other interesting pages (red circles) are likely to get lost in the shuffle

Attached:

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:42 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 6 2015, 8:35 PM
Sitic added a subscriber: Sitic.Aug 2 2015, 12:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2015, 12:42 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 6:44 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Jul 20 2018, 6:05 PM